Name:           python-tuskarclient
Version:        0.1.15
Release:        3%{?dist}
Summary:        Python client for the Tuskar API

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tuskarclient
Source0:        https://pypi.python.org/packages/source/p/python-tuskarclient/python-tuskarclient-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr

Requires:       python-babel
Requires:       python-iso8601
Requires:       python-prettytable
Requires:       python-keystoneclient
Requires:       python-requests
Requires:       python-simplejson
Requires:       python-six
Requires:       python-stevedore

#
# patches_base=0.1.15+1
#
Patch0001: 0001-Add-version-option.patch
Patch0002: 0002-Sync-oslo-incubator.patch
Patch0003: 0003-Move-utils-arg-env-to-oslo-cliutils.patch
Patch0004: 0004-Add-a-debug-option.patch
Patch0005: 0005-Removes-legacy-Exception-for-300-HTTP-status.patch
Patch0006: 0006-Updated-from-global-requirements.patch
Patch0007: 0007-Moves-test_http.py-under-tests-common-directory.patch
Patch0008: 0008-Updated-from-global-requirements.patch
Patch0009: 0009-Updated-from-global-requirements.patch
Patch0010: 0010-Remove-run-time-dependency-on-python-pbr.patch

%description
python-tuskarclient is a Python client and a command-line interface
for Tuskar <https://github.com/openstack/tuskar>.


%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1

sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%{_bindir}/*
%{python2_sitelib}/tuskarclient*
%{python2_sitelib}/python_tuskarclient*
%doc LICENSE README.rst

%changelog
* Thu Jan 08 2015 Mike Burns <mburns@redhat.com> 0.1.15-3
- Remove run-time dependency on python-pbr

* Wed Dec 10 2014 Lon Hohberger <lhh@redhat.com> 0.1.15-2
- Updated from global requirements
- Updated from global requirements
- Moves test_http.py under tests/common directory
- Updated from global requirements
- Removes legacy Exception for 300 HTTP status
- Add a --debug option
- Move utils arg/env to oslo cliutils
- Sync oslo-incubator
- Add --version option

* Thu Oct 16 2014 Jordan OMara <jomara@redhat.com> - 0.1.5-1
- new src, 0.1.5 (jomara@redhat.com)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Jordan OMara <jomara@redhat.com> - 0.1.4-1
- new src, 0.1.4 (jomara@redhat.com)

* Fri Apr 4 2014 Jordan OMara <jomara@redhat.com> - 0.1.3-1
- upgrading source

* Fri Mar 14 2014 Jordan OMara <jomara@redhat.com> - 0.1.1-2
- fixed .egg-info

* Fri Feb 28 2014 Jordan OMara <jomara@redhat.com> - 0.1.1-1
- added .egg-info

* Mon Feb 24 2014 Angus Thomas <athomas@redhat.com> - 0.1.0-2
- Replace explicit paths with macros
- Added LICENSE README.rst to docs

* Fri Feb 21 2014 Angus Thomas <athomas@redhat.com> - 0.1.0-1
- Initial package.
